Retrieve a File
Certain records may have files attached. For a purchase, you can request a compensation confirmation, for example. SQUAKE can send this via email; you can have it returned from the purchase request immediately or fetch the file from this endpoint later.
SQUAKE advises fetching files async after the purchase to keep the latency of the purchase API call low. You will always receive the file ID from the purchase endpoint if files are, or will be, attached to the record.
Bearer-AuthAuthorizationBearer <token>id*stringOK
application/json- response
id*stringfile_[A-Za-z0-9]*filename*stringpurpose*string"confirmation_document""certificate_document""project_image"size*integerByte size of the object
type*string"csv""jpg""pdf""png""webp"download_url?stringThe link will expire after 1 year. If blank, the document has not been created yet. Please poll until a link is included.
urinotification?stringInformation pertaining to the file, e.g., when the file will be available
curl -X GET 'https://api.sandbox.squake.earth/v2/files/string'{ "id": "file_asfg454s25", "filename": "string", "purpose": "confirmation_document", "size": 0, "type": "pdf", "download_url": "http://example.com", "notification": "string"}Compare Carbon Usage
This endpoint allows you to compare carbon quantities to more recognizable items such as cars, light bulbs, or kettles. <br><br> Our list of metrics and comparison units are quite extensive so a list of accepted combinations has been compiled and is available [here](https://squake.notion.site/96b220031e8e4d64aec4f0e46a5bde97?v=8c67ffdcf91c4477acf0640688beea11&pvs=4)
Healthz
Simple health check to verify SQUAKE's server can be reached.